# tflint-ignore: terraform_required_providers
resource "aws_glue_security_configuration" "nta_pop_filter" {
  name = "${var.name_prefix}-security-config"

  encryption_configuration {
    cloudwatch_encryption {
      cloudwatch_encryption_mode = "DISABLED"

      # TODO: Need KMS: TPLAT-11397, MOSAIC20-2275
      #       * Might be able to use mcs2-carbonblack: arn:aws:kms:us-east-1:605728677638:key/410fc29d-2c38-42f3-9ca9-ab286a1a6827
      #       * Lacks CW support
      # cloudwatch_encryption_mode = "SSE-KMS"
      # kms_key_arn = ???
    }

    #checkov:skip=CKV_AWS_99: Doesn't apply -- we don't use bookmarks
    job_bookmarks_encryption {
      job_bookmarks_encryption_mode = "DISABLED"
    }

    s3_encryption {
      s3_encryption_mode = "SSE-S3"
    }
  }
}
