resource "aws_glue_workflow" "nta_pop_filter" {
  name = "${var.name_prefix}-daily-workflow"
  tags = var.tags
}

resource "aws_glue_trigger" "trigger_agg_job" {
  name = "${var.name_prefix}-daily"
  tags = var.tags
  type = "SCHEDULED"
  #  1 hour after midnight utc
  schedule      = "cron(0 1 * * ? *)"
  workflow_name = aws_glue_workflow.nta_pop_filter.name
  enabled       = true

  actions {
    job_name = aws_glue_job.nta_pop_filter_daily_job.name
  }
}

resource "aws_glue_trigger" "trigger_bloom_filter_job" {
  name          = "${var.name_prefix}-31-days"
  tags          = var.tags
  type          = "CONDITIONAL"
  workflow_name = aws_glue_workflow.nta_pop_filter.name
  enabled       = true

  predicate {
    conditions {
      job_name         = aws_glue_job.nta_pop_filter_daily_job.name
      state            = "SUCCEEDED"
      logical_operator = "EQUALS"
    }
    logical = "AND"
  }

  actions {
    job_name = aws_glue_job.nta_pop_filter_31_days_job.name
  }
}
